Subject: Re: [PATCH] net: dp83640: Fix tx timestamp overflow handling.

From: Richard Cochran <[email-masked]>
Date: Wed, 20 Jan 2016 14:25:45 +0100

On Wed, Jan 20, 2016 at 11:22:28AM +0100, Manfred Rudigier wrote:
> PHY status frames are not reliable, the PHY may not be able to send them
> during heavy receive traffic. This overflow condition is signaled by the
> PHY in the next status frame, but the driver did not make use of it.
> Instead it always reported wrong tx timestamps to user space after an
> overflow happened because it assigned newly received tx timestamps to old
> packets in the queue.
> 
> This commit fixes this issue by clearing the tx timestamp queue every time
> an overflow happens, so that no timestamps are delivered for overflow
> packets. This way time stamping will continue correctly after an overflow.

Hi Manfred,

Thanks for finding and fixing this bug.

Dave, this patch should also go into stable.

Acked-by: Richard Cochran <[email-masked]>